Mint 17 - Screen and keyboard freezing

Bug #1321623 reported by michael dodds on 2014-05-21
240
This bug affects 51 people
Affects Status Importance Assigned to Milestone
Linux Mint
Undecided
Unassigned

Bug Description

Linux mint 17rc1 keeps freezing randomly won't respond at all with keyboard or mouse or power button have to over ride by holding power button for 30 seconds or so to shut down manually. And restart computer. Using on Asus X550CC.

chemicalfan (mike-lumsden) wrote :

Does anything get written to the system log before the freeze? Can you switch to a different virtual terminal once it has "frozen"?

Vlad Orlov (monsta) on 2014-05-22
summary: - Screen and keyboard freezing
+ Mint 17 - Screen and keyboard freezing

Hi
No it just freezes can't do anything. It takes different random times from boot to freezing. The laptop does have nvidia optimus card which I understand has issues in mint
Cheers
Mick

On 21 May 2014 13:20, chemicalfan <email address hidden> wrote:
>
> Does anything get written to the system log before the freeze? Can you
> switch to a different virtual terminal once it has "frozen"?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
>   Screen and keyboard freezing
>
> Status in The Linux Mint Distribution:
>   New
>
> Bug description:
>   Linux mint 17rc1 keeps freezing randomly won't respond at all with
>   keyboard or mouse or power button have to over ride by holding power
>   button for 30 seconds or so to shut down manually. And restart
>   computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions

Tim Haw (ww3ib0sg9w-tim) wrote :

I have the same problem on a desktop.
Mint 17 + cinnamon 64 bit, up to date levels 1 to 3
Intel core 2 Duo CPU E8500, 4Gb RAM, ATI Radeon HD 3450 graphics card.
Cinnamon ver 2.2.13, kernel 3.13.0-24-generic

The same computer was stable with Mint 13 & 14; Mint 15 was unstable so I used 14 up until installing Mint 17 (all with cinnamon).

Time to the freeze varies from a few minute to several hours; on average 2 to 3 times a day.

I'm no expert but I could not see any patterns in the System log or the other log files I looked at in the var directory.

Joshua Benham (benham-joshua) wrote :

I am having the same issues. Mint 17 64 bit- cinnamon - amd fx 6300- m5a99fx pro r2.0- nvidia geforce 660 gtx ( running nvidia -304 driver, then switched to nvidia- 331 driver). I find that is will freeze after about 15 min of not being used, and also when there is too much load on the system.
kernel- 3.13.0-24-generic

Joseph Arrieta (jac-wshmstr) wrote :

I started having this issue after installing the last NVIDIA driver (the one recommended by LM17, specifically nvidia-331 by the moment I write this), I just then installed the nvidia-304 (all of this via the Driver Manager) and after 1-2 days X-Server stopped working, I manage to modify the xorg.conf file and it worked but (cinammon in my case) was just not loading properly and constanly crashing, after that I installed the old xserver-xorg-video-nouveau driver and everything is going OK by the moment, I believe this is something related with the nvidia-331 driver, I haven't installed it manually to see if the same issue occurs maybe I will later.

Cinnamon 2.2.13
3.13.0-24-generic
Intel Core I7-2630QM 2.0GHz x 4
6gb ram
Nvidia GF108M Gefore GT 540M
XPS 15-L502X

Scott Moore (scottbomb) wrote :

Happens to me too on a Lenovo T510. Using KDE. Ctrl-alt-backspace doesn't restart X. Sometimes I can get into a tty (ctrl-alt-f1) where I can issue a reboot command but usually I have to force a hard shutdown with the power button.

Scott Moore (scottbomb) wrote :

This may be upstream. It happened today on the same machine running Xubuntu 14.04.

Scott Moore (scottbomb) wrote :

Also running Fedora 20 on this same laptop and no lockups so I suspect something between Debian and Mint.

msmcmickey (msmcmickey) wrote :

I have this same problem on a new laptop I just purchased and installed Mint 17 64 bit on. It's a Dell Latitude e6420. Only Cinnamon crashes like this, and usually only if you're doing something that puts a little load on the CPU. I was able to keep it running long enough to install XFCE and it runs fine. Only Cinnamon has this issue, which is unfortunate, because I really like Cinnamon and I'm missing a lot of its functionality that I've come to rely on and enjoy.

My old laptop was a Toshiba Satellite L505D and I was also running Mint 17 64 and it did not have this issue.

Same problem on a desktop running AMD FX(tm)-6350 Six-Core Processor and

Linux blackie2 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

I was able to C-A-F1 and get a terminal window where I ran service mdm stop;service mdm start and got it working again.

jeff (jrfrancis555) wrote :

I have the same problem with my new computer,screen freezes,mouse still moves, but not responding to the clicks on anything.
Hafto shut down with the on -of switch.
What to do about it,anyone any ideas....

Jakub B. (brylijon) on 2014-09-09
Changed in linuxmint:
status: New → Confirmed

Same for me, running on a MacBookPro w/ Retina Display.

Linux ohmy 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

It can happen every few minutes. Sometimes less. I can't really find a pattern. Usually simply pressing the power button to get the exit menu, then esc, does the trick. switching to a different TTY then back to X works as well.

Guy (guy-maskall) wrote :

Yup, I've found myself here because I'm getting exactly this issue on two computer. Both have (different) nvidia cards. One is a dell desktop, the other is a lenovo laptop. Recently both systems have infuriatingly started simply freezing - cinnamon completely locks, all you have is a moving mouse. CTRL-ALT-BACKSPACE is required to restart mdm. I just tried to "nomodeset" kernel argument that made no difference.

hoseinit (hhamedi-it) wrote :

Same issue with my LinuxMint 17 on Dell Inspiron 1525, After cloning the Partition with CloneZilla and change the HDD it started to Happen alot, say once an hour

RobG (computerenigma) wrote :

Adding my experience.

Aspire 5630 64bit, dual core.
Ran Opensuse and all Mint iterations from 14-16 using 32 bit install with no problems whatsoever.
Complete reformat and fresh install of LM17 64 bit Quina.
Have spent months trying to resolve hang ups and freezes.

Installed graphics drivers via Intel Graphics Installer.
Done every mod I can find to modify Firefox.
IPv6 is disabled, and all the pipeline mods are done, hardware accelaration is off.
I only use the machine to browse, check hotmail, and play YouTube videos, swappiness was lowered with no effect, and is now 0.

The problem exists in Chrome and Firefox, just open a few tabs, use a browser as normal etc, then the busy light comes on, and then it stays on longer and longer until the machine freezes and I have to do a hard reboot. The browsers run so slowly that I keep getting Script Error messages due to the load time lag.

All updates are installed as soon as they arrive on my 'shield'.

A search around the web has revealed that many 64 bit users are getting these problems. Would the 32 bit install work any better, even though it is a 64 bit laptop, as all of my previous installs were 32 bit?

Hope someone can resolve this issue.

Kind regards

Rob

hannes (ubunutuone) wrote :

Adding mine as well.

Dell Latitude E5420.

Used to run Mint 15. Was working fine. Never had these kind of problems. Sometimes it got slow, but after closing some Chromium tabs it was ok.

Installed Mint 17 now.
I'm doing web-development. Running several Chromium windows/tabs. Running node.js as well to do builds.
Now screen and keyboard are randomly freezing. I can still use the mouse, but I can't click anything.
I can switch to another screen using Ctrl+Alt+F5 and log in there.
If I do a 'startx' there and go back to Ctrl+Alt+F8 screen isn't frozen anymore and I can use the keyboard. Sound is gone though.

This works for me so far. But I still don't know what exactly is triggering this.
Well, and I can't listen to music anymore after it happens ;(

Cheers, Hannes

sebbouckaert (waterloo13) wrote :

Same here.

Interestingly enough it happened both on Ubuntu 14.04 (Unity) and on Mint 17 (Mate), both fresh 32-bit installs. The freezes in Ubuntu made me decide to do a fresh install of Mint 17 (apparently to no avail).

My specs: a rather old HP Pavillion T3640 desktop with Intel Dual Core (Intel Pentium D 3.000 GHZ), 2 GB RAM, Nvidia GeForce 7000 series GPU.

Freeze happens randomly while running Firefox 33, or Chrome, Thunderbird and/or File Manager (Nautilus/Caja). Happens both with Nouveau and proprietary 304 Nvidia drivers. For a while I thought it was GPU/Compiz related since it sometimes happened whilst playing Flash of Html5 youtube video. I also thought resizing windows would cause it, but it also happens without that, so it's really a random matter.

Symptoms: mouse and keyboard freeze. Ctrl+Alt+F* does not work, neither do the Alt+SysRq combinations. Only a hard reboot with power button will do.

Same here. File handling and running Java applications seem to freeze the keyboard. Also, running thing from a xterm-window seem to reproduce the problem sometimes.

My system configuration is the following;

System information report, generated by Sysinfo: 2014-11-03 20:53:41
http://sourceforge.net/projects/gsysinfo

SYSTEM INFORMATION
 Running LinuxMint Linux, the LinuxMint 17 (qiana) release.
 GNOME: 3.8.4 (Ubuntu 2014-03-17)
 Kernel version: 3.13.0-24-generic (#46-Ubuntu SMP Thu Apr 10 19:08:14 UTC 2014)
 GCC: 4.8 (i686-linux-gnu)
 Xorg: 1.15.1 (16 April 2014 01:40:08PM) (16 April 2014 01:40:08PM)
 Hostname: tcc-eMachines-G525
 Uptime: 4 days 14 h 15 min

CPU INFORMATION
 GenuineIntel, Celeron(R) Dual-Core CPU T3300 @ 2.00GHz
 Number of CPUs: 2
 CPU clock currently at 1994.789 MHz with 1024 KB cache
 Numbering: family(6) model(23) stepping(10)
 Bogomips: 3989.57
 Flags: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl tm2 ssse3 cx16 xtpr pdcm xsave lahf_lm dtherm

MEMORY INFORMATION
 Total memory: 1946 MB
 Total swap: 20141 MB

STORAGE INFORMATION
 SCSI device - scsi0
  Vendor: ATA
  Model: WDC WD2500BEVT-2
 SCSI device - scsi1
  Vendor: Optiarc
  Model: DVD RW AD-7585H
 SCSI device - scsi4
  Vendor: ATA
  Model: Corsair Force GT

HARDWARE INFORMATION
MOTHERBOARD
 Host bridge
  Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 09)
  Subsystem: Acer Incorporated [ALI] Device 0210
 PCI bridge(s)
  Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03) (prog-if 00 [Normal decode])
  Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03) (prog-if 00 [Normal decode])
  Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03) (prog-if 00 [Normal decode])
  Intel Corporation 82801 Mobile PCI Bridge (rev 93) (prog-if 01 [Subtractive decode])
  Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03) (prog-if 00 [Normal decode])
  Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03) (prog-if 00 [Normal decode])
  Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03) (prog-if 00 [Normal decode])
  Intel Corporation 82801 Mobile PCI Bridge (rev 93) (prog-if 01 [Subtractive decode])
 ISA bridge
  Intel Corporation ICH9M LPC Interface Controller (rev 03)
  Subsystem: Acer Incorporated [ALI] Device 0210

GRAPHIC CARD
 VGA controller
  Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
  Subsystem: Acer Incorporated [ALI] Device 0210

SOUND CARD
 Multimedia controller
  Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
  Subsystem: Acer Incorporated [ALI] Device 0210

NETWORK
 Network controller
  Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
  Subsystem: Foxconn International, Inc. Device e016
 Ethernet controller
  Qualcomm Atheros AR8132 Fast Ethernet (rev c0)
  Subsystem: Acer Incorporated [ALI] Device 0210

Same here I have a Dell Optiplex 3010 with Linux Mint 17 Cinnamon 64bit and it freezes, No nVidia or ITI GPU , I guess intel Integrated graphics , I notice that this happens when there is too much stuff open but its really not that much (browser with 5 Tabs in Chrome of Firefox and a remote Desktop would do it) I know this computer is capable of running many more things (core I5 , 4gb ram) should not sweat it

Elias (faraclas) wrote :

Same problem as described above.

"Symptoms: mouse and keyboard freeze. Ctrl+Alt+F* does not work, neither do the Alt+SysRq combinations. Only a hard reboot with power button will do."

JB Padhi (jamini-padhi) wrote :

Same problem here; Linux Mint 17 32 bit. Sony VAIO SVE15113EN simply starts crawling after 1-2 hours, then non responsive, sometimes able to reboot via console (CTRL+ALT+F1). The same machine runs perfect with other boot option - Ubuntu 14.04.1, Kali Linux. I have tried almost everything including format / re-install, different browsers - Firefox dies or goes into coma quickly esp when there is streaming video or even flash content. Cloud browser Maxthon runs the longest & when the freezing symptoms begin I wait for the terminal to open & kill the browser; surprisingly (not so surprising for the developers LMQ) the machine becomes stable! The same browser runs smoothly after cleaning out the clutter (about 480-500 MB). Even the mouse behaves strangely - random clicks - 1 click becomes double click making browsing miserable. However, this is the begin of the end - shutdown -r stops at the last step so I need to press the power button (just a touch - not long); then again power on. At this point reboot works but that is a temporary relief. Used all the ways to repair boot, re-install grub.. but LMQ ultimately needs re-install to work. Cinnamon version dies quickly i.e. in couple of days life becomes miserable, XFCE runs okay for 10 days, MATE runs for 10-15 days before the same problems start cropping up. Changing kernel version is also useless.. Another interesting point - when the machine is non responsive with a frozen video frame the audio keeps running in the background. From all that I read in different forum it seems I am not alone. At this time I am just waiting for new version of Linux to be released! Hopefully, that will work well but if it doesn't will fall back to LM 16!! Wondering how long I can put up with all this simply because the OS is free; I am sure that I will trash laptop / computer if I have to go back to Windows...

ggallozz (ggallozz-gmail) wrote :

Same experience here with Quiana 32 bit / MATE
Freeze happens randomly while running Firefox 33, or Chrome, Thunderbird
Neither keyboard neither mouse are usable, and Caps-lock and Scrool-lock leds kepp blinking
I guess that an upgrade of Firefox and/or ATI Radeon and/or Linux ATMEL kernel be in cause ...
(Indeed my LinixMint standard graphic driver suddenly lost the capability of recognizing the monitor, reducing video resolution to 1024x768, previously at 1920x1080 as per installation, so i've been contraint to install AMD driver for Radeon HD5450)

my sysinfo log is here http://pastebin.com/raw.php?i=Dcizsp7K

Sohoffice (sohoffice) wrote :

Just had a freeze.
When I switched to console #1, I've the following entries from syslog
The timestamp looked very close to the incident.

Nov 28 14:59:07 Dachs2 acpid: client 1654[0:0] has disconnected
Nov 28 14:59:29 Dachs2 acpid: client connected from 1654[0:0]
Nov 28 14:59:29 Dachs2 acpid: 1 client rule loaded
Nov 28 14:59:33 Dachs2 acpid: client 1654[0:0] has disconnected

Is this possible this issue is related to power management ? (I've no clue though)

In my case, ctrl-alt-backspace restarts X.

I'm using Mint 17 Cinamon 64.

Jan Hladík (jhquentin) wrote :

I have same problem.
I have LM 17.1 x64 on latitude e6420 with nvidia nvs-4200m
I tried this and seems to workin...

Installed:
kernel 3.14.26 from http://kernel.ubuntu.com/~kernel-ppa/mainline/
nvidia-331 from xorg-edgers
and

 echo "nouveau" >> /etc/modprobe.d/blacklist

and add to
 vim /etc/default/grub
nomodeset on line GRUB_CMDLINE_LINUX_DEFAULT
then
 update-grub
 shutdown -r 0

Ricardo (edera1102) wrote :

Same problem, keyboard and Screen lockup on a Desktop x86_64 machine, with an NVIDA graphics card. Oddly the problem does seem to happen on my Dell Laptop also running the 32 bit version of Mint 17. The problem seemed worse with the nouveau driver. But still keeps occurring with the NVIDA binary driver anything from 1 hour to 20 hours.

Jan Hladík (jhquentin) wrote :

sorry, edit comment #24.
It it is nvidia-304 driver

Pépou (yannickw24) wrote :

This is the same bug. A fix has been done (comment 212)

Same problem on Lenovo Thinkpad T430s with Intel graphics controller (lshw says driver=i915). Using Cinnamon Mint 17 64-bit.

I can switch to another text or X console and back and it unfreezes, and everything I did during it it acted upon. Also detaching the laptop from my dock at work unfreezes it.

Occurs anywhere from a couple of times a day to dozens of times a day. Haven't seen anything of interest in the logs yet.

Francois (ifzen) wrote :

I had similar issue on a laptop with nvidia video card. I tried many solutions with no success until I installed bumblebee. And then it was fine, no more freeze.

Doug Geiger (dgeiger) wrote :

I can consistently recreate the problem running
- Mint 17.1 Cinnamon 64bit
- Cinnamon 2.4.8
- Kernel 3.13.0-24-generic
- Intel 3rd Gen Core processor graphics

Steps to recreate the keyboard freeze (moves still moves but is un-clickable)
- from menu, open keyboard
- keyboard shortcuts->custom shortcuts
- click add custom shortcut button
- enter a name and command, click ok
- frozen

happens every time. happy to send doc if anyone can tell me what needs to be collected.

chaered (chaered) wrote :

Same problem: mouse can move, but not click, and keyboard unresponsive. However, can successfully use Ctrl-Alt-F1 to get tty shell. When switching back with Ctrl-Alt-F8, only bottom-hand corner of desktop is rendered (with frozen clock), rest is black. Running "startx" from console restarts desktop. To reproduce: boot and login, wait 15 minutes or so.

Kernel: 3.13.0-37-generic x86_64 (64 bit, gcc: 4.8.2) Desktop: Gnome Distro: Linux Mint 17.1 Rebecca (with all current updates)
Mobo: Gigabyte model: 990FXA-UD5 Bios: American Megatrends version: FB date: 01/23/2013
CPU: 8-core 1.4 GHz AMD FX-8350 (-MCP-) cache: 16384 KB flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 64297
Memory: 32GB (4x 8GiB DIMM DDR3 Synchronous 667 MHz (1.5 ns))
Graphics: Card: AMD/ATI Hawaii PRO [Radeon R9 290] bus-ID: 01:00.0
           X.Org: 1.15.1 drivers: ati,fglrx (unloaded: fbdev,vesa,radeon) Resolution: 3840x2160@30.0hz
           GLX Renderer: AMD Radeon R9 200 Series GLX Version: 4.3.12798 - CPC 13.35.1005 Direct Rendering: Yes
Monitor: Seiki 39" 4K
Drives: HDD Total Size: 256.1GB (8.8% used) 1: id: /dev/sda model: Crucial_CT256MX1 size: 256.1GB temp: 33C
Temperatures: cpu: 23.5C

I've had this problem occur a LOT more in the past week or two. Previously I might have a few lockups per week, now I'm having anything from a few to a few dozen lockups per day. Like previously, switching to a different terminal and back fixes everything.

My system details are in my previous message. I don't know what could have caused the sudden increase in lockups.

Keith (atlantoid) wrote :

Same problem with Dell Optiplex 780 with Linux Mint 17 Cinnamon 64bit, intel Integrated graphics. Occurs several times a day. No discernible pattern, except i use chrome w multiple tabs, video/music playing, etc., so moderate CPU loading.

Brononi (ben-oniria) wrote :

Same issue here with Linux Mint 17 Cinnamon 64bit and motherboard MSI E350IA (MS-7698).

I use this as a small server, so no GUI (boots to CLI), runs backuppc, samba, zoneminder, apache, mysql, cacti and openvpn.

The machine runs sometimes 10 minutes, sometimes 1 hour.
I've check with htop if I could track down the issue, but sometimes it was mysql, then it was rsyslog, then...
In the logs, nothing, it just stops working.
I wrote a small script that would reboot the server each hour, but it doesn't do it. So linux is 'dead'.

The strange thing I see is that keyboard/mouse/screen and network are cut off. But the pc is still powered on?

When I leave the pc in BIOS screen, it stays up, so not a heating issue or so.
And xbmc ran fine as OS on this machine for over a year.

So my first thoughts go to the mint (in combination with...?).

Michael Webster (miketwebster) wrote :

Hi, please see this comment: https://github.com/linuxmint/Cinnamon/issues/4030#issuecomment-92783911

I'd appreciate anyone trying out the debs posted there, and giving feedback regarding unresponsiveness, either here, or on that thread (ignore the original issue topic there).

Thanks

Michael Webster (miketwebster) wrote :

Please see https://github.com/linuxmint/Cinnamon/issues/4072 to continue freeze-related troubleshooting

Gaurav Jain (itsgauravjain22) wrote :

i have installed linux mint 17.1 cinnamon yesterday and after 20 minutes of installation, it completely hanged, only mouse worked..i have to restart the pc manually

-Computer-
Processor : 2x Intel(R) Core(TM)2 Duo CPU E7500 @ 2.93GHz
Memory : 2010MB (791MB used)
Operating System : Linux Mint 17.1 Rebecca
User Name : gaurav (Gaurav)
Date/Time : Friday 22 May 2015 09:10:41 AM IST
-Display-
Resolution : 1680x1050 pixels
OpenGL Renderer : Mesa DRI Intel(R) G41
X11 Vendor : The X.Org Foundation
-Multimedia-
Audio Adapter : HDA-Intel - HDA Intel
-Input Devices-
 Power Button
 Power Button
 Video Bus
  USB OPTICAL MOUSE
 2.4GHz keyboard and mouse
 2.4GHz keyboard and mouse
 HDA Intel Line Out
 HDA Intel Line
 HDA Intel Rear Mic
-Printers (CUPS)-
HP_LaserJet_1018
-SCSI Disks-
HL-DT-ST DVDRAM GH22NS50
ATA ST31000528AS

richn128 (richn128) on 2015-07-03
Changed in linuxmint:
status: Confirmed → Opinion
Marek C (chivay) wrote :

Linux Mint Cinnamon 17.2
Hardware: Clevo W230SD, i7 4710MQ, GeForce 960M

System freezes frequently, sometimes ctrl-alt-backspace works, sometimes I must restart PC. I didn't notice any pattern or specific application that causes freezing.
Only happens when I use nvidia binary driver (I tried 346.72 and 352.21 versions). When switched to Intel (Power saving mode) using nvidia-xserver-settings app system works ok.

William Griffin (billyg237) wrote :

Linux Mint Cinnamon 17.2 64bit
Hardware Hp8440p i5 4gb ram intel ob gpu, randomly freezes usually watching utube video. Only out is to power off and reboot sometimes have to use recovery mode. Have same linux on my OLDER gateway desktop intel 6420 dual core 8 gb ram & dual ATIx1950 crossfires and it just cruises. Go figure? Am going to re install some linux on the HP8440p, havent yet decided.

Thelolguy (thelolguy420) on 2016-04-28
Changed in linuxmint:
status: Opinion → Confirmed
58 comments hidden view all 138 comments
Bob Sisson (l-bob-4) wrote :

MEMORY LEAK !

Ok, I rebooted my system
opened ONLY System monitor and let it stabilize at 33.9% Memory

I opened & closed my Browser, and it jumped to 34.4%
I opened & closed my Browser, and it jumped to 34.6%
I opened & closed my Browser, and it jumped to 34.7%

Every time I opened and closed I lost .1-.2% of my memory. Over time (a day) considering how I use my computer, that could easily put me in the danger area if I already have lots of tabs open. I haven't tried watching what happens to Memory when I open & close tabs without restarting the browser. If I don't get everything back (ie a memory leak) that could easily be the source of-MY- Problem.

Question is how do I fix this (other than the occasional reboot?)?

docklc (docklc) wrote :

This bug was a major headache until recently on my AMD 64x2--2GB--Nvidia 8600GT--Cinnamon system. My system would freeze after a few minutes of use and the only way to recover was to reboot. It was extremely annoying and I filed bug reports on it. I have an older, slightly slower system that is also 64x2 AMD running Ubuntu 14.04, but with built-in Radeon graphics.

For the longest time, based on information I got here and elsewhere, I thought the problem was my Nvidia graphics driver--so I updated it to no avail. Other reports blamed the problem on my wireless Logitech KB and Mouse, so I switched to a wired KB--no change, still froze.

I always applied all Linux Mint updates as soon as I was notified of them--still no change.
Finally, I upgraded memory to 6GB and the problems ceased--except that ClamTK still reports PUA's and Trojans. Yesterday it was 22. I do have both hardware and software (Linux) firewalls running and real-time Comodo AV. I also realize that attacks are more prevalent every year. But, Linux and other Unix-based systems still claim they are not susceptible. Why not build in some good anti-malware apps beyond ClamAV? (I also now run Rosa).

docklc (docklc) wrote :

addendum to my earlier report re: AMD 64x2 system crashing: My older 64x2 system is running Ubuntu 14.04 and had 4GB memory. Perhaps I should have considered memory earlier as the culprit--but I'm still not certain because there are too many possible variables.

linux mint 17.3 64b AMD

The random freezing stopped when I went to 8GB. I consider iptables good
enough malware protection and don't use clamAV

On Sun, Jul 31, 2016 at 4:32 PM, docklc <email address hidden> wrote:

> addendum to my earlier report re: AMD 64x2 system crashing: My older
> 64x2 system is running Ubuntu 14.04 and had 4GB memory. Perhaps I
> should have considered memory earlier as the culprit--but I'm still not
> certain because there are too many possible variables.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Bob Sisson (l-bob-4) wrote :

I upgraded my system to 8gig and it "got betta" but is not cured completely...

I still can make it freeze almost on command by doing memory heavy activities with Chrome...

Opening and closing youtube videos, or opening and closing lots of tabs in Chrome both will make it "pause" within a few minutes...

Closing the extra tabs, or closing YouTube restores the system to normal...

NOTE: When Watching system resources, Memory does NOT seem to grow, nor does the swap, so I think it might be some other resources (Threads ?) that are getting shorted...

I can make the system "pause" pretty reliably by opening 12-14 or more tabs in Chrome...
So I have, Gmail, Calender, Contacts, My Drive, Scheduler (portal), ighome (home page), face book, Webpage, and email or two... and then it starts to lag behind... Add a youtube page (again in a tab) or maybe another browser (fireFox) and it will start to skip...
Even closing tabs or windows becomes labored, and may take a min or so for the click to register, but eventually, the system catches up and you can close enough stuff for the system to resume normal operations.

Once the system has "Skipped" it becomes more sensitive and the number of Chrome tabs needed to be open at opnce to make it skip seems to be lower... like a resource leak that doesn't get completely get cleaned up...

A restart and everything is fine.

Chris Bruner (cbruner-quadro) wrote :

Mint 18, I've noticed when doing heavy io, (restoring home directory from backup) the system becomes unusable. keyboard locks up for seconds (sometimes minutes) at a time. cannot run any programs without waiting many minutes.
keyboard sometimes missing letters that have been typed.

Bob Sisson (l-bob-4) wrote :

I continue to see a memory leak with Chrome that is not the main problem, but is a symptom.

When I reboot, my "Memory" settles in at about 12% used.

When I open Chrom with my standard 9 tabs, it jumps up to 52% and jumps around a LOT depending on what I am doing in each tab.

When I close Chrome, I only get about 80% memory back, so with each open/close of tabs or the browser as a whole I loose memory....and other things as well I am sure. Threads, Handles, nodes, no idea but I know that when memory gets above 75% things start to get flakey....

JiaoNing Pu (phdinfunk) wrote :

Got here searching about the same bug, but it's Mint 18. I just switched from Mate, never ever had this issue with previous LTS version and Mate. I am currently D/Ling Mint 18 Mate and will keep using it.

Similar experience to what others have said. Some random amount of time, especially when intensive tasks are run, or when more than one thing is going, computer freezes. No KB, no "Ctrl-Alt-F1," No mouse. Nothing. Have to hold the Power Button to reset, and I lose whatever I was doing. Obviously this is a non-starter.

It's a bit worse if multiple things are running, or if I have a dock going (it lasts a little longer with neither Docky nor Cairo installed). However, there's no telling if I'll even finish typing this before it freezes.

Am using Acer ES1-111, Pentium 3540 processor. I love this PC, have had it for two years, and this is the first issue I'm having since I solved everything with UEFI and secure boot and got everything running stable after I got it.

Am going to go ahead and post this so I don't lose my text to a system freeze.

JiaoNing Pu (phdinfunk) wrote :

By the way, I have 8GB of Ram installed, and I was watching my Docky System monitor as it froze one time, and RAM use was under 15%, I think under 10. Everything was green in the system monitor (even on the frozen screen, go figure).

If anything like this happens with Mate, I'll post back here, or if it stays functional with no issues for a week or two, I'll also post back here (which would be a heck of an improvement over multiple issues every day since my install of Mint 18 Cinnamon). I am guessing this is a cinnamon issue, and that would help prove it since I will be installing and running exactly the same programs I always use.

Mike (fedmike) wrote :

Dell Optiplex 780 screen intermittenly freezes and the only fix is to hold the power button until the system powers off. See attached system info.

Cas Tuyn (cas-tuyn) wrote :

Started a new job as Php back-end developer on 1 dec 2016 and was allowed to choose my own PC and OS. As a long-time Unix and Linux user (Solaris, Fedora, Suse, Ubuntu, MacOSX and Mint) I choose an Intel NUC6i5SYB barebones (11 x 11 cm) with 2x 24" monitors and Logitech wireless keyboard and mouse. Most other colleagues have Macs, a few Windows laptops and 1 other Linux laptop guy. They were all jealous of my setup.

I installed Mint 18, and generally run 2 Firefox windows with about 8 tabs open each, PhpStorm, Performance Monitor and terminal with 3 tabs each running a vagrant VM box.

I get 'random' (or at least dificult to reproduce) system freezes about 2x per day. Mostly when I am resizing a window, opening a new browser tab, or closing one. In the beginning also after the screen saver woke up, so I disabled that. I also diabled Bluetooth as I don't use that. I updated Mint going from Cinnamon 3.0.5 to 3.0.6. This seemd to help giving me 2 days without freezes, but yesterday it froze again twice.

My boss told me to send the NUC back for guarantee, but the supplier wil only take it back if I can reproduce the error on Windows. Which I won't because I don't want to use Windows period, and I don't want the problem disappearing on Windows and be forced to work on Windows from then on. So raise the priority on this bug and help out a 28 years Unix and 22 years Linux user.

Matt Jenkins (s-matt) wrote :

I have been seeing this problem with the nouveau driver for a number of years now. Switching to the proprietary nvidia driver solves the problem but I really don't want to do that thank you very much.

I have seen it on Debian, Ubuntu, Mint... and only with the nouveau driver. Currently running Yakkety with LXDE and seeing a few crashes every day. The symptoms are always the same:

1. The screen "freezes"
2. The keyboard becomes non-responsive - not even caps-lock lights up.
3. The mouse will still move, but not properly (see below).

I have three screens on a pair of GT 610 cards. When the system freezes the mouse pointer still moves around the primary display quite happily. Moving the mouse off that display onto one of the others causes the pointer to just stop dead until you move the mouse back onto that screen again. Like the mouse cursor will no longer move off the screen and gets trapped there.

All other screen activity is frozen - any animations in a web browser, any video playing, any cursor blinking in a terminal window - all frozen. It's just the mouse pointer that still moves.

All keyboard activity is dead. Pressing caps-lock or num-lock no longer illuminates the LEDs on the keyboard. Re-plugging the keyboard does nothing. No access to any VT for debugging.

You can still SSH in, though there are no real clues in the logs as to what is going on (though I will check next time it happens). One curious thing - if you SSH in and do a reboot it gets part way through the shutdown sequence and just hangs completely. The only way out is to force a power-off with the power-button-long-press.

This is obviously something to do with the nouveau driver since I don't see any problems with the proprietary nvidia driver, and I have never seen it happen on my intel graphics laptop. Neither have I seen it on my nvidia graphics netbook - so chances are it is restricted to just a subset of cards or card combinations (maybe because there are two cards in there?)

This is a bug that has been lingering for a number of years and really does need clobbering somehow. We need to find a common denominator. Create a list of all the known affected cards and setups. See if we can find something that is common between all the affected setups.

Matt Jenkins (s-matt) wrote :

Nothing in dmesg. This is in Xorg.0.log though:

(EE) [mi] EQ overflowing. Additional events will be discarded until existing events are processed.
(EE)
(EE) Backtrace:
(EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4a) [0x55e4a5c319fa]
(EE) 1: /usr/lib/xorg/Xorg (mieqEnqueue+0x253) [0x55e4a5c134b3]
(EE) 2: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55e4a5ae4002]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f06b77ae000+0x6277) [0x7f06b77b4277]
(EE) 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f06b77ae000+0x6a8d) [0x7f06b77b4a8d]
(EE) 5: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x95438) [0x55e4a5b0d438]
(EE) 6: /usr/lib/xorg/Xorg (0x55e4a5a78000+0xba8f2) [0x55e4a5b328f2]
(EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (0x7f06c0b9c000+0x35860) [0x7f06c0bd1860]
(EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x5) [0x7f06c0c998b5]
(EE) 9: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28) [0x7f06c1f7d0f8]
(EE) 10: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f06c1f7fdbb]
(EE) 11: /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2 (nouveau_bo_wait+0xbc) [0x7f06bcaa803c]
(EE) 12: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0x7f06bccad000+0xc839) [0x7f06bccb9839]
(EE) 13: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0x7f06bccad000+0xd25d) [0x7f06bccba25d]
(EE) 14: /usr/lib/xorg/Xorg (DRI2SwapBuffers+0x1c8) [0x55e4a5c04398]
(EE) 15: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x18dc6d) [0x55e4a5c05c6d]
(EE) 16: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x533bf) [0x55e4a5acb3bf]
(EE) 17: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x57413) [0x55e4a5acf413]
(EE) 18: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf1) [0x7f06c0bbc3f1]
(EE) 19: /usr/lib/xorg/Xorg (_start+0x2a) [0x55e4a5ab933a]
(EE)
(EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
(EE) [mi] mieq is *NOT* the cause. It is a victim.
(EE) [mi] EQ overflow continuing. 100 events have been dropped.
(EE)
(EE) Backtrace:
(EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4a) [0x55e4a5c319fa]
(EE) 1: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55e4a5ae4002]

... and so on until "500 events have been dropped.", when it dies.

Robert Focht (robertmf) wrote :

I solved by going with 8gb RAM

On Wed, Dec 21, 2016 at 2:11 PM, Matt Jenkins <email address hidden> wrote:

> Nothing in dmesg. This is in Xorg.0.log though:
>
> (EE) [mi] EQ overflowing. Additional events will be discarded until
> existing events are processed.
> (EE)
> (EE) Backtrace:
> (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4a) [0x55e4a5c319fa]
> (EE) 1: /usr/lib/xorg/Xorg (mieqEnqueue+0x253) [0x55e4a5c134b3]
> (EE) 2: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55e4a5ae4002]
> (EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f06b77ae000+0x6277)
> [0x7f06b77b4277]
> (EE) 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f06b77ae000+0x6a8d)
> [0x7f06b77b4a8d]
> (EE) 5: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x95438) [0x55e4a5b0d438]
> (EE) 6: /usr/lib/xorg/Xorg (0x55e4a5a78000+0xba8f2) [0x55e4a5b328f2]
> (EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (0x7f06c0b9c000+0x35860)
> [0x7f06c0bd1860]
> (EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x5) [0x7f06c0c998b5]
> (EE) 9: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28)
> [0x7f06c1f7d0f8]
> (EE) 10: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmCommandWrite+0x1b)
> [0x7f06c1f7fdbb]
> (EE) 11: /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
> (nouveau_bo_wait+0xbc) [0x7f06bcaa803c]
> (EE) 12: /usr/lib/xorg/modules/drivers/nouveau_drv.so
> (0x7f06bccad000+0xc839) [0x7f06bccb9839]
> (EE) 13: /usr/lib/xorg/modules/drivers/nouveau_drv.so
> (0x7f06bccad000+0xd25d) [0x7f06bccba25d]
> (EE) 14: /usr/lib/xorg/Xorg (DRI2SwapBuffers+0x1c8) [0x55e4a5c04398]
> (EE) 15: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x18dc6d) [0x55e4a5c05c6d]
> (EE) 16: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x533bf) [0x55e4a5acb3bf]
> (EE) 17: /usr/lib/xorg/Xorg (0x55e4a5a78000+0x57413) [0x55e4a5acf413]
> (EE) 18: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf1)
> [0x7f06c0bbc3f1]
> (EE) 19: /usr/lib/xorg/Xorg (_start+0x2a) [0x55e4a5ab933a]
> (EE)
> (EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher
> up the stack.
> (EE) [mi] mieq is *NOT* the cause. It is a victim.
> (EE) [mi] EQ overflow continuing. 100 events have been dropped.
> (EE)
> (EE) Backtrace:
> (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4a) [0x55e4a5c319fa]
> (EE) 1: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55e4a5ae4002]
>
> ... and so on until "500 events have been dropped.", when it dies.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Matt Jenkins (s-matt) wrote :

I have 12GB already.

Matt Jenkins (s-matt) wrote :

I have just given my computer its annual Christmas hoovering and given it a little crimble present of an extra rear fan to draw heat out from the rear (it's a Dell, so it only had fans on the front blowing air in, nothing drawing air out). We'll see if it improves things - is it a heat-related issue? It has been really bad over the past 24 hours, crashing many times, sometimes a matter of minutes apart.

Matt Jenkins (s-matt) wrote :

I would say it's not a thermal issue, since it just crashed again. Maybe I will remove one card and see if it's a multi-card based issue?

docklc (docklc) wrote :

Matt: I don't know if this was fixed officially or not, but since recent
upgrades by Linux team I am no longer experiencing the problem with random
freezing requiring a re-start. Hope you get yours resolved--a very
annoying problem that makes one think about malware intrusions. I have
been using CLAMTK and still get several malware indications once in
awhile--nothing that has crashed my system lately. I'm also using COMODO
AV. Maybe these have helped, but I can't say for certain.

On Thu, Dec 22, 2016 at 8:37 AM, Matt Jenkins <email address hidden> wrote:

> I have just given my computer its annual Christmas hoovering and given
> it a little crimble present of an extra rear fan to draw heat out from
> the rear (it's a Dell, so it only had fans on the front blowing air in,
> nothing drawing air out). We'll see if it improves things - is it a
> heat-related issue? It has been really bad over the past 24 hours,
> crashing many times, sometimes a matter of minutes apart.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Matt Jenkins (s-matt) wrote :

I know it's not malware - unless Ubuntu, Mint and Debian are all compromised, and have been for the past 3 or so years - which I find hard to believe - and why would it only "infect" the nouveau driver?

I have ruled out two-card bugs - it just crashed on me with only one card installed, so it's not that.

I think I am going to have to bite the bullet and go through the rigmarole of getting the nvidia driver working. I hate that driver.

docklc (docklc) wrote :

Matt: I have older Nvidia card (8600 GTS, I think) and have changed
drivers several times--upgrade and downgrade. It could be your driver if
not malware. I have had malware issues for about 3 years--used to be a lot
worse until I installed Comodo. These problems are hard to resolve, as you
know. Good Luck and Merry Christmas...K.

On Fri, Dec 23, 2016 at 7:43 AM, Matt Jenkins <email address hidden> wrote:

> I know it's not malware - unless Ubuntu, Mint and Debian are all
> compromised, and have been for the past 3 or so years - which I find
> hard to believe - and why would it only "infect" the nouveau driver?
>
> I have ruled out two-card bugs - it just crashed on me with only one
> card installed, so it's not that.
>
> I think I am going to have to bite the bullet and go through the
> rigmarole of getting the nvidia driver working. I hate that driver.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

docklc (docklc) wrote :

Matt: Update: I am running Nvidia driver 340.98 without problems so far.

On Fri, Dec 23, 2016 at 12:07 PM, Kent <email address hidden> wrote:

> Matt: I have older Nvidia card (8600 GTS, I think) and have changed
> drivers several times--upgrade and downgrade. It could be your driver if
> not malware. I have had malware issues for about 3 years--used to be a lot
> worse until I installed Comodo. These problems are hard to resolve, as you
> know. Good Luck and Merry Christmas...K.
>
> On Fri, Dec 23, 2016 at 7:43 AM, Matt Jenkins <email address hidden> wrote:
>
>> I know it's not malware - unless Ubuntu, Mint and Debian are all
>> compromised, and have been for the past 3 or so years - which I find
>> hard to believe - and why would it only "infect" the nouveau driver?
>>
>> I have ruled out two-card bugs - it just crashed on me with only one
>> card installed, so it's not that.
>>
>> I think I am going to have to bite the bullet and go through the
>> rigmarole of getting the nvidia driver working. I hate that driver.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1321623
>>
>> Title:
>> Mint 17 - Screen and keyboard freezing
>>
>> Status in Linux Mint:
>> Confirmed
>>
>> Bug description:
>> Linux mint 17rc1 keeps freezing randomly won't respond at all with
>> keyboard or mouse or power button have to over ride by holding power
>> button for 30 seconds or so to shut down manually. And restart
>> computer. Using on Asus X550CC.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>>
>
>

Matt Jenkins (s-matt) wrote :

I have capitulated and installed the nvidia driver. I'll take me about a week of tinkering to get the third monitor working properly now once I put the card back in... I remember the fight I had last time I switched to this driver (which again I only did because nouveau kept crashing) in Debian. It was only when I tried upgrading to "testing" so that I could get something vaguely resembling a modern Linux installation that the whole X system went belly up, especially the nvidia driver, that I reinstalled Ubuntu and switched to nouveau again in the hope that this massive bug had been cured. Alas not though, and so back to nvidia I go. Ho hum.

Matt Jenkins (s-matt) wrote :

Finally got the nvidia driver configured (almost) as I like it, and not a single crash for the past few days. Proof enough methinks that this is definitely something wrong with the nouveau driver.

Kevin Field (kevso) wrote :

@s-matt, I have to disagree. Search the thread and you'll see at least two people reporting using Intel Graphics, not nvidia.

And in any case, I'd like to report my system as a third one.

It's a fairly new Acer Aspire E 15 (E5-573-55U8), with Intel HD Graphics 4400 and 16 GB of RAM. I just installed Linux Mint 18.1 MATE 64-bit on it a few days ago, and it is normally stable, but I can consistently get it to hard freeze (mouse cursor frozen, cannot switch via ctrl+alt+f1 to a console, only recourse is to hold down the power button) by trying to compile something.

Steps to reproduce (there may be easier ones, but this is what I have so far):

1. install openfl from http://openfl.org
2. download http://terrycavanaghgames.com/tinyheist/tinyheist_src_v10.zip (a small video game)
3. unzip it
4. in its directory, run the command: lime build linux

This, every time, will get stuck on some file (__resources__.cpp or ApplicationMain.cpp) and after 5-15 minutes will cause a hard freeze.

example syslog leading up to freeze (and then last line is after reboot):

Jan 24 07:00:17 kev-Aspire-E5-573 ntpd[1720]: 217.147.223.78 local addr 192.168.178.87 -> <null>
Jan 24 07:05:45 kev-Aspire-E5-573 org.mate.panel.applet.MintMenuAppletFactory[2236]: Vector smash protection is enabled.
Jan 24 07:05:45 kev-Aspire-E5-573 org.mate.panel.applet.MintMenuAppletFactory[2236]: Failed to open VDPAU backend libvdpau_va_gl.so: cannot open shared object file: No such file or directory
Jan 24 07:11:07 kev-Aspire-E5-573 kernel: [ 1817.444068] ath10k_pci 0000:03:00.0: no channel configured; ignoring frame(s)!
Jan 24 07:11:07 kev-Aspire-E5-573 kernel: [ 1817.546866] ath10k_pci 0000:03:00.0: no channel configured; ignoring frame(s)!
Jan 24 07:14:20 kev-Aspire-E5-573 kernel: [ 2010.541589] perf interrupt took too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
Jan 24 07:15:19 kev-Aspire-E5-573 kernel: [ 2069.226374] ath10k_pci 0000:03:00.0: no channel configured; ignoring frame(s)!
Jan 24 07:16:23 kev-Aspire-E5-573 kernel: [ 2133.601460] ath10k_pci 0000:03:00.0: no channel configured; ignoring frame(s)!
Jan 24 07:17:01 kev-Aspire-E5-573 CRON[8159]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jan 24 07:23:08 kev-Aspire-E5-573 rsyslogd: [origin software="rsyslogd" swVersion="8.16.0" x-pid="1133" x-info="http://www.rsyslog.com"] start

You can watch the cpu usage during compiling, and it follows a pattern of one core being at 100% for a number of seconds, then that one going to normal and a different one to 100%, alternating like this between the two.

There may well be something wrong with compiling this project, but it shouldn't cause a hard freeze. I think it's sustained CPU load related as stated by others in this thread.

Kevin Field (kevso) wrote :

OK, I went to reproduce this (again) but with more active babysitting, instead of like previous times letting it run and then coming back later to find it frozen.

So I ran tail on syslog and resource monitor.

Some observations:

1) It didn't happen the first time (although it never did finish compiling __resources__.cpp). Seemed to keep running fine even though the CPU was pegged and the compilation was stuck.

2) However, Ctrl+C'ing the compilation and re-running it (so it instead gets stuck on ApplicationMain.cpp) did eventually hard freeze, but:

a) I tried unplugging my network cable, and this seemed to make it not hard freeze, but continue being stuck in compilation.

b) When I plugged it back in (after 30 minutes or so of not freezing), within 15 minutes it hard froze (see attached screenshot 1.) It may have been a few minutes before I noticed though, so I'm not sure about any connection to the timing of the syslog output.

3) That being the case, I rebooted and started the compilation command again (with network cable plugged in), and this time whenever I saw something in syslog, I pressed enter a few times to make space in the tail output. When it eventually hard froze (screenshot 2) there was nothing just beforehand in the syslog, as you can see. So whatever was in screenshot 1's syslog output that seemed related, can't be.

4) Both screenshots show the reason for the hard freeze is running out of memory.

I'm going to run this scenario again but leave the processes pane open so I can confirm which process is eating through all the memory all of the sudden.

Kevin Field (kevso) wrote :

Apparently you can't put multiple attachments, so here is screenshot 2.

Kevin Field (kevso) wrote :

(BTW if anyone can pipe up with some diagnostic hints, now would be the time. If I can't fix this hard freeze issue I will have to find a distro that does work on my hardware, because I need a reliable system. Let me know what I can do to help with this issue while I still have the OS installed.)

Kevin Field (kevso) wrote :

OK, it looks like it's cpp that's taking up the memory. Although it's interesting it froze at only 10 GB. Perhaps the last uptick of memory consumption happened fast enough to not make it to the system monitor.

So, this is an interesting bug in gcc, I guess?

I wonder if others can confirm the following for their hard freezes:

1) is it because the RAM is totally consumed?
2) if so, what process is consuming the RAM?

In any case, I wonder why running out of RAM causes a hard freeze: isn't that what swap files are for? I.e. gcc may be misbehaving, but isn't the system also not responding very well to gcc's misbehaviour? On a system level, shouldn't it swap out? On a user experience level, regardless of the lack of swapping, couldn't the process be halted, since the whole system is about to be unusable anyway?

Kevin Field (kevso) wrote :

Attached is my system info for reference.

Kevin Field (kevso) wrote :

BTW anyone trying to reproduce this bug using this method (although I'm now quite sure there are easier ways) you have to use the haxe version from the openfl site (3.2.1), not the latest 3.4.0rc2, which compiles the project successfully.

Robert Focht (robertmf) wrote :

Linux Mint 17.3 on Dells 755 tower and 745 SFF - I have not had any
freezing problems since putting in the 8GB ram

On Tue, Jan 24, 2017 at 5:35 AM, Kevin Field <email address hidden>
wrote:

> BTW anyone trying to reproduce this bug using this method (although I'm
> now quite sure there are easier ways) you have to use the haxe version
> from the openfl site (3.2.1), not the latest 3.4.0rc2, which compiles
> the project successfully.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Kevin Field (kevso) wrote :

@robertmf That makes sense if your usage never exceeds the new amount of RAM you have. I wonder if you could duplicate my results, but it's a chunk of time to ask of a person. Maybe there's some app out there or someone could whip one up, to just eat RAM until it's all gone, that would be faster than my rogue g++ weirdness that takes maybe up to a half hour. Anyway when the RAM is used up, in my humble outsider's opinion, the system should first swap out, and if it's heading toward using all the swap up too, then kill the thread and free the RAM, to avoid a hard freeze.

docklc (docklc) wrote :

My problems with this were solved with recent updates and Nvidia GEForce
update. Thanks to all involved.

On Tue, Jan 24, 2017 at 8:37 AM, Robert Focht <email address hidden>
wrote:

> Linux Mint 17.3 on Dells 755 tower and 745 SFF - I have not had any
> freezing problems since putting in the 8GB ram
>
> On Tue, Jan 24, 2017 at 5:35 AM, Kevin Field <email address hidden>
> wrote:
>
> > BTW anyone trying to reproduce this bug using this method (although I'm
> > now quite sure there are easier ways) you have to use the haxe version
> > from the openfl site (3.2.1), not the latest 3.4.0rc2, which compiles
> > the project successfully.
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1321623
> >
> > Title:
> > Mint 17 - Screen and keyboard freezing
> >
> > Status in Linux Mint:
> > Confirmed
> >
> > Bug description:
> > Linux mint 17rc1 keeps freezing randomly won't respond at all with
> > keyboard or mouse or power button have to over ride by holding power
> > button for 30 seconds or so to shut down manually. And restart
> > computer. Using on Asus X550CC.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Robert Focht (robertmf) wrote :

I did a stress test and could not duplicate the freeze-ups with the 8GB
installed

On Tue, Jan 24, 2017 at 12:05 PM, Kevin Field <email address hidden>
wrote:

> @robertmf That makes sense if your usage never exceeds the new amount of
> RAM you have. I wonder if you could duplicate my results, but it's a
> chunk of time to ask of a person. Maybe there's some app out there or
> someone could whip one up, to just eat RAM until it's all gone, that
> would be faster than my rogue g++ weirdness that takes maybe up to a
> half hour. Anyway when the RAM is used up, in my humble outsider's
> opinion, the system should first swap out, and if it's heading toward
> using all the swap up too, then kill the thread and free the RAM, to
> avoid a hard freeze.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Jacob (jacob11) wrote :

I've been able to replicate this bug in two different PCs and two different Mint distros: Xfce 17.3 and KDE 18.1 but always booting from a Live USB. After installing the distro to a hard disk the bug didn't appear anymore. For those who have tried to replicate this bug I think I've found what causes it. The system freeze happens a random time after opening Firefox browser. Disabling hardware acceleration seems to solve the freeze. I'd appreciate more users affected by this bug replicate these steps and confirm if they solve the problem for them and be sure Firefox hardware acc. is the culprit.

Kevin Field (kevso) wrote :

@jacob11 as you can see from my screenshots above, Firefox was never running when the freezes happened.

It sounds like there are multiple causes. In my case I would not pin it on the particular software I was using, just the fact that the RAM got used up and for some reason Linux Mint would rather freeze and die than kill the process that is taking all the RAM in order to keep the system running. In others it seems to be video card related, but I can say in my case I never disabled hardware acceleration and have been running Firefox and Chromium for a couple weeks now without another hard freeze happening.

Tom Sayles (tsayles) wrote :

I think I am randomly seeing this bug on Linux Mint 18 Sarah. I have the System Monitor 1.14.1 running on a top panel and it doesn't look like a memory usage, processor overload or disk access bandwidth issue. When MATE locks up I can still remotely login via SSH and when I try to "sudo service mdm force-reload" I get an error message the the control process exited with an unknown error.

What can I look at (and post) to help troubleshoot this bug?

Eric (kuchaguangjie) wrote :

I encountered with the similar issue with "Linux Mint Mate 18", it happens when I refresh the desktop, then it keeps refreshing, I can see via "top" that there is a mate related process was consuming up over 100% percent cpu.

I am not sure why, but this happens sometimes, especially when the os just started, if I refresh the desktop via F5, then it got a higher chance to encounter this issue.

So, what operation is performed while I press F5, and mate is not prepared for that right after starting?

Robert Focht (robertmf) wrote :

Linux Mint 17.3 64-bit MATE on desktop
No problems with random freeze ups once I went with 8GB RAM. Pressing F5 gives me Google Mail ;) Try looking at Menu->Preferences->Kbd Shortcuts

Mike (fedmike) wrote :

I first tried a solid state drive no help and then I replaced my ram from
4G to 8G and now get an occasional freeze however no where near the
frequency it was happening. Much better.
Mike
[image: Inline image 1]

On Sat, Mar 25, 2017 at 8:47 AM, Robert Focht <email address hidden>
wrote:

> Linux Mint 17.3 64-bit MATE on desktop
> No problems with random freeze ups once I went with 8GB RAM. Pressing F5
> gives me Google Mail ;) Try looking at Menu->Preferences->Kbd Shortcuts
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1321623
>
> Title:
> Mint 17 - Screen and keyboard freezing
>
> Status in Linux Mint:
> Confirmed
>
> Bug description:
> Linux mint 17rc1 keeps freezing randomly won't respond at all with
> keyboard or mouse or power button have to over ride by holding power
> button for 30 seconds or so to shut down manually. And restart
> computer. Using on Asus X550CC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linuxmint/+bug/1321623/+subscriptions
>

Changed in linuxmint:
status: Confirmed → Fix Released
Displaying first 40 and last 40 comments. View all 138 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers